> For the complete documentation index, see [llms.txt](https://docs.rasgoml.com/rasgo-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rasgoml.com/rasgo-docs/rasgo-0.1/all-transforms/summarize_flatlines.md).

# Summarize Flatlines

Given a dataset, searches finds "flatline" sequences of a repeated values that do not change.

Choose a value column, a column to be used for ordering (such as a date), and a minimum cutoff for the number of repeated occurrences to consider.

The result is a summarized table.

## Parameters

| Name               | Type         | Description                                                                                                          | Is Optional |
| ------------------ | ------------ | -------------------------------------------------------------------------------------------------------------------- | ----------- |
| group\_by          | column\_list | The column(s) used to partition you data into groups. Flatlines (repeated values) will be searched within each group |             |
| value\_col         | column       | The column for which to search for flatlines.                                                                        |             |
| order\_col         | column       | The column used to order the rows within groups.                                                                     |             |
| min\_repeat\_count | int          | The minimum length of a sequence of repeated values to consider                                                      |             |

## Example

```python
ds = rasgo.get.dataset()

test = ds.apply(group_by=['TICKER','SYMBOL'],
                value_col='CLOSE',
                order_col='DATE',
                min_repeat_count=1
                )

test.preview()
```

## Source Code

{% embed url="<https://github.com/rasgointelligence/RasgoTransforms/blob/main/rasgotransforms/rasgotransforms/transforms/summarize_flatlines/summarize_flatlines.sql>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rasgoml.com/rasgo-docs/rasgo-0.1/all-transforms/summarize_flatlines.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
